Hardware Locality (hwloc) 2.9.2

Enumerations
Netloc API

## Enumerations
enum | { NETLOC_SUCCESS = 0 , NETLOC_ERROR = -1 , NETLOC_ERROR_NOTDIR = -2 , NETLOC_ERROR_NOENT = -3 , NETLOC_ERROR_EMPTY = -4 , NETLOC_ERROR_MULTIPLE = -5 , NETLOC_ERROR_NOT_IMPL = -6 , NETLOC_ERROR_EXISTS = -7 , NETLOC_ERROR_NOT_FOUND = -8 , NETLOC_ERROR_MAX = -9 }

## Detailed Description

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Return codes

Enumerator
NETLOC_SUCCESS | Success
NETLOC_ERROR | Error: General condition
NETLOC_ERROR_NOTDIR | Error: URI is not a directory
NETLOC_ERROR_NOENT | Error: URI is invalid, no such entry
NETLOC_ERROR_EMPTY | Error: No networks found
NETLOC_ERROR_MULTIPLE | Error: Multiple matching networks found
NETLOC_ERROR_NOT_IMPL | Error: Interface not implemented
NETLOC_ERROR_EXISTS | Error: If the entry already exists when trying to add to a lookup table
NETLOC_ERROR_NOT_FOUND | Error: No path found
NETLOC_ERROR_MAX | Error: Enum upper bound marker. No errors less than this number Will not be returned externally.